Bug 88847 - Sound card AZT1008 not initialized by ad1848.o
Sound card AZT1008 not initialized by ad1848.o
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-14 17:36 EDT by Edward Burr
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-14 14:09:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Burr 2003-04-14 17:36:56 EDT
Description of problem:
Sound card is identified as AZT1008 which apparently is supposed to use driver
ad1848. This driver fails to initialize the card. 

THIS IS A KNOWN PROBLEM. 
See the following URLs for details and info on the necessary patch:
http://marc.theaimsgroup.com/?l=linux-sound&m=103829448100754&w=2
http://marc.theaimsgroup.com/?l=linux-sound&m=103835842003582&w=2
http://function.linuxpower.ca/patches/misc/patch-ad1848-azt1008
The RedHat kernel-source-2.4.20-9.i386.rpm does not contain this patch.

Version-Release number of selected component (if applicable):
2.4.20-9

How reproducible:
Every time.

Steps to Reproduce:
1. sndconfig

A ISAPNP sound card was found in your system. The details are:
Model: AZT1008 PnP SOUND DEVICE: AUDIO
[OK]
Select the correct settings: (any other setting produces the same results)
  I/O PORT: 0x534
  IRQ 5
  DMA1 1
  DMA2 3
[OK]
A sound sample will be played...
[OK]
    
Actual results:
The following error occurred running the modprobe program:
/lib/modules/2.4.20-9/kernel/drivers/sound/ad1848.o:
init_module: No such device
/lib/modules/2.4.20-9/kernel/drivers/sound/ad1848.o: insmod
/lib/modules/2.4.20-9/kernel/drivers/sound/ad1848.o failed
/lib/modules/2.4.20-9/kernel/drivers/sound/ad1848.o: insmod
sound-slot-0 failed
[OK]
[CANCEL]
[CANCEL]
[CANCEL] (stuck in a loop?, have to kill the sndconfig process)

dmesg then shows:
ad1848/cs4248 codec driver Copyright (C) by Hannu Savolainen 1993-1996
ad1848: No ISAPnP cards found, trying standard ones...

Expected results:
Working sonud!

Additional info:
This sound card is identified by /proc/isapnp as:
(details deleted to save space)

Card 1 'AZT1008:AZT1008 PnP SOUND DEVICE' PnP version 1.0 Product version 0.3
  Logical device 0 'AZT0500:IDE CDROM DISABLED'
  Logical device 1 'AZT1008:AUDIO'
  Logical device 2 'AZT2001:MPU401 MIDI'
  Logical device 3 'AZT3001:GAME PORT'
Comment 1 Edward Burr 2003-04-14 17:38:56 EDT
This sound card is identified by /proc/isapnp as:

Card 1 'AZT1008:AZT1008 PnP SOUND DEVICE' PnP version 1.0 Product version 0.3
  Logical device 0 'AZT0500:IDE CDROM DISABLED'
    Supported registers 0x2
    Device is not active
    Resources 0
      Priority preferred
      Port 0x0-0x0, align 0x7, size 0x0, 16-bit address decoding
      Port 0x0-0x0, align 0x1, size 0x0, 16-bit address decoding
      IRQ <none> High-Edge
  Logical device 1 'AZT1008:AUDIO'
    Supported registers 0x2
    Device is active
    Active port 0x220,0x388,0x534
    Active IRQ 5 [0x2]
    Active DMA 1,3
    Resources 0
      Priority preferred
      Port 0x220-0x220, align 0xf, size 0x10, 16-bit address decoding
      Port 0x388-0x388, align 0x7, size 0x8, 16-bit address decoding
      Port 0x534-0x534, align 0x3, size 0x4, 16-bit address decoding
      IRQ 5 High-Edge
      DMA 1 8-bit byte-count compatible
      DMA 3 8-bit byte-count compatible
      Alternate resources 0:1
        Priority acceptable
        Port 0x220-0x240, align 0x1f, size 0x10, 16-bit address decoding
        Port 0x388-0x388, align 0x7, size 0x8, 16-bit address decoding
        Port 0x534-0x608, align 0xd3, size 0x4, 16-bit address decoding
        IRQ 5,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
        DMA 0,1,3 8-bit byte-count compatible
      Alternate resources 0:2
        Priority acceptable
        Port 0x220-0x240, align 0x1f, size 0x10, 16-bit address decoding
        Port 0x388-0x388, align 0x7, size 0x8, 16-bit address decoding
        Port 0xe84-0xf44, align 0xbf, size 0x4, 16-bit address decoding
        IRQ 5,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
        DMA 0,1,3 8-bit byte-count compatible
       Alternate resources 0:3
        Priority acceptable
        Port 0x100-0x3f0, align 0xf, size 0x10, 16-bit address decoding
        Port 0x100-0x3f8, align 0x7, size 0x8, 16-bit address decoding
        Port 0x100-0xffc, align 0x3, size 0x4, 16-bit address decoding
        IRQ 3,4,5,2/9,10,11,15 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
        DMA 0,1,3 8-bit byte-count compatible
      Alternate resources 0:4
        Priority acceptable
        Port 0x100-0x3f0, align 0xf, size 0x10, 16-bit address decoding
        Port 0x100-0x3f8, align 0x7, size 0x8, 16-bit address decoding
        Port 0x100-0xffc, align 0x3, size 0x4, 16-bit address decoding
        IRQ 3,4,5,2/9,10,11,15 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
  Logical device 2 'AZT2001:MPU401 MIDI'
    Supported registers 0x2
    Device is active
    Active port 0x300
    Active IRQ 10 [0x2]
    Resources 0
      Priority preferred
      Port 0x330-0x330, align 0x1, size 0x2, 16-bit address decoding
      IRQ 2/9 High-Edge
      Alternate resources 0:1
        Priority acceptable
        Port 0x300-0x330, align 0x2f, size 0x2, 16-bit address decoding
        IRQ 3,4,5,2/9,10,11,15 High-Edge
      Alternate resources 0:2
        Priority acceptable
        Port 0x100-0x3fe, align 0x1, size 0x2, 16-bit address decoding
        IRQ 3,4,5,2/9,10,11,15 High-Edge
   Logical device 3 'AZT3001:GAME PORT'
    Supported registers 0x2
    Device is active
    Active port 0x200
    Resources 0
      Priority preferred
      Port 0x200-0x200, align 0x7, size 0x8, 16-bit address decoding
      Alternate resources 0:1
        Priority acceptable
        Port 0x208-0x208, align 0x7, size 0x8, 16-bit address decoding

THE PATCH (from the URLs in the report):
Index: linux-2.4.20-rc1-ac4/drivers/sound/ad1848.c
===================================================================
RCS file: /build/cvsroot/linux-2.4.20-rc1-ac4/drivers/sound/ad1848.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 ad1848.c
--- linux-2.4.20-rc1-ac4/drivers/sound/ad1848.c	18 Nov 2002 01:39:21 -0000	1.1.1.1
+++ linux-2.4.20-rc1-ac4/drivers/sound/ad1848.c	27 Nov 2002 00:51:51 -0000
@@ -2969,6 +2969,10 @@
         	ISAPNP_ANY_ID, ISAPNP_ANY_ID,
 		ISAPNP_VENDOR('Y','M','H'), ISAPNP_FUNCTION(0x0021),
                 1, 0, 0, 1, 1},
+	{"AZT1008",
+		ISAPNP_ANY_ID, ISAPNP_ANY_ID,
+		ISAPNP_VENDOR('A','Z','T'), ISAPNP_FUNCTION(0x0001),
+		1, 0, 0, 1, 1},
 	{0}
 };

@@ -2981,6 +2985,8 @@
 		ISAPNP_VENDOR('C','S','C'), ISAPNP_FUNCTION(0x0100), 0 },
         {       ISAPNP_ANY_ID, ISAPNP_ANY_ID,
 		ISAPNP_VENDOR('Y','M','H'), ISAPNP_FUNCTION(0x0021), 0 },
+	{	ISAPNP_ANY_ID, ISAPNP_ANY_ID,
+		ISAPNP_VENDOR('A','Z','T'), ISAPNP_FUNCTION(0x0001), 0 },
 	{0}
 };
Comment 2 Alan Cox 2003-04-16 07:32:49 EDT
Thanks. This patch never made it to the maintainers. Arjan its now merged into
2.4.21pre7-ac2 test tree. It looks fine to me
Comment 3 Arjan van de Ven 2003-04-30 09:12:09 EDT
will go into a future erratum as well
Comment 4 Arjan van de Ven 2003-05-14 14:09:41 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-172.html

Note You need to log in before you can comment on or make changes to this bug.